<template>
    <el-card class="topic-card" shadow="never">
        <h1 class="c-title">热门话题<span >查看所有话题-></span></h1>
        <el-row v-for="topic in topList" :key="topic.id">
            <el-col :span="5">
                <el-avatar shape="square" :size="50" :src="`api/schoolCloud/${topic.avater}`" />
            </el-col>
            <el-col :span="19" class="t-name" >{{ topic.name }}</el-col>
        </el-row>
    </el-card>
</template>
  
<script lang="ts" setup>
import { reactive, ref ,onMounted} from "vue";
import axios from "axios";
import qs from 'qs';
onMounted(() => {
    axios.post('/api/schoolCloud/pages/selectTop.php', qs.stringify({num:6}))
                .then(res => {
                    topList.value = res.data;
                    console.log('899');
                    console.log(topList);
                    
                // 根据返回的响应数据进行相应的操作
                }).catch(err => {
                console.log(err)
                });
})
const topList = ref([
    {
        id:1,
        name: '枫原万叶',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%981.jpg',
        cont:'原神游戏人物，枫原万叶'
    },
    {
        id:2,
        name: '提纳里',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%982.jpg',
          cont:'原神游戏人物，枫原万叶'
    },
    {
        id:3,
        name: '校园交友',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%983.jpg',
          cont:'万叶单推人专用话题qwq'
    },
    {
        id:4,
        name: '孤独摇滚',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%984.jpg',
        //   cont:'万叶单推人专用话题qwq'
    },
    {
        id:5,
        name: '长野原宵宫',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%985.jpg',
          cont:'万叶单推人专用话题qwq'
    },
    {
        id:6,
        name: '二次元美图',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%986.jpg',
          cont:'万叶单推人专用话题qwq'
    },
    {
        id:7,
        name: '龙图',
        avater: 'api/schoolCloud/assets/image/topicavater/%e8%af%9d%e9%a2%987.jpg',
          cont:'万叶单推人专用话题qwq'
    }
])
</script>
  
<style lang="less" scoped>
.topic-card{
    width: 100%;
    .c-title{
        span{
            float: right;
            font-size: 14px;
            font-weight: 300;
        }
        span:hover{
            color: rgb(58, 148, 252);
        }
    }
    h1{
        margin-bottom: 10px;
    }
    .el-row{
        padding: 5px 0;
        .t-name{
            display: flex;
            align-items: center;
        }
        .t-name:hover{
            color: rgb(46, 161, 255);
        }
    }
}
</style>